cascading.flow.planner

## Class PlatformInfo

- java.lang.Object
- - cascading.flow.planner.PlatformInfo

- All Implemented Interfaces:
    Serializable, Comparable<PlatformInfo>

      public class PlatformInfo
      extends Object
      implements Serializable, Comparable<PlatformInfo>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `name`
    `static PlatformInfo` | `NULL`
    `String` | `vendor`
    `String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlatformInfo(String name, String vendor, String version)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(PlatformInfo other)`
    `boolean` | `equals(Object object)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NULL

          public static final PlatformInfo NULL

    - #### name

          public final String name

    - #### vendor

          public final String vendor

    - #### version

          public final String version

  - ### Constructor Detail

    - #### PlatformInfo

          public PlatformInfo(String name,
                      String vendor,
                      String version)

  - ### Method Detail

    - #### compareTo

          public int compareTo(PlatformInfo other)

      Specified by:
        `compareTo` in interface `Comparable<PlatformInfo>`

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.